/*
  Filename    : SampleGrab.h
  Author      : roar@tordivel.no
  Description : Scorpion Camera Interface, SCI, grab standard interface implementation
	Version     : 1.0.0.0 - 08 May 2008

	Revision    : N/A
*/

#ifndef __samplegrab_h
#define __samplegrab_h

#include "stdafx.h"

/////////////////////////////////////////////////////////////////////////////
//declare the c-style external method declaration
/////////////////////////////////////////////////////////////////////////////
#ifdef GRABDLL_EXPORTS
#define GRABDLL_API extern "C" __declspec(dllexport)
#else
#define GRABDLL_API extern "C" __declspec(dllimport)
#endif

/////////////////////////////////////////////////////////////////////////////
// Standard GrabDLL interface declarations
/////////////////////////////////////////////////////////////////////////////
typedef struct {
  int w;
  int h;
} WH;

typedef void CallbackFunc(unsigned int grabberNo, unsigned int portNo);
typedef void CmdCallbackFunc(unsigned int grabberNo, unsigned int portNo, const char* cmd, const char* params);
typedef void DebugMsgFunc(const char* msg);

#endif